Package jxl.format

# Interface Font

All Known Implementing Classes:
  `Font`, `jxl.biff.FontRecord`, `WritableFont`, `jxl.write.biff.WritableFontRecord`

public interface Font
Interface which exposes the user font display information to the user

## Method Summary

Modifier and Type
Method
Description
`int`
`getBoldWeight()`
Gets the bold weight for this font
`Colour`
`getColour()`
Gets the colour for this font
`String`
`getName()`
Gets the name of this font
`int`
`getPointSize()`
Gets the point size for this font, if the font hasn't been initialized
`ScriptStyle`
`getScriptStyle()`
Gets the script style
`UnderlineStyle`
`getUnderlineStyle()`
Gets the underline style for this font
`boolean`
`isItalic()`
Returns the italic flag
`boolean`
`isStruckout()`
Returns the strike-out flag

## Method Details

### getName

String getName()
Gets the name of this font

Returns:
  the name of this font

### getPointSize

int getPointSize()
Gets the point size for this font, if the font hasn't been initialized

Returns:
  the point size

### getBoldWeight

int getBoldWeight()
Gets the bold weight for this font

Returns:
  the bold weight for this font

### isItalic

boolean isItalic()
Returns the italic flag

Returns:
  TRUE if this font is italic, FALSE otherwise

### isStruckout

boolean isStruckout()
Returns the strike-out flag

Returns:
  TRUE if this font is struck-out, FALSE otherwise

### getUnderlineStyle

UnderlineStyle getUnderlineStyle()
Gets the underline style for this font

Returns:
  the underline style

### getColour

Colour getColour()
Gets the colour for this font

Returns:
  the colour

### getScriptStyle

ScriptStyle getScriptStyle()
Gets the script style

Returns:
  the script style